Bug 468949 - Missing ccid.i386 RPM for x86_64 systems - repo definition problem?
Missing ccid.i386 RPM for x86_64 systems - repo definition problem?
Product: Fedora
Classification: Fedora
Component: ccid (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bob Relyea
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-10-28 23:12 EDT by Valdis Kletnieks
Modified: 2009-12-18 01:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 01:41:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2008-10-28 23:12:18 EDT
Description of problem:
Similar to bug #468945 - if you're on an x86_64 system, 'yum install' and 'yum update' can only find the x86_64 versions, but not the i386 RPM.  If you have 3rd party 32-bit runtime libraries for /usr/lib/pcsc/drivers, you're stuck with running the 32-bit ccid and pcscd. So you end up with:

#  yum list ccid
Loaded plugins: refresh-packagekit, refresh-updatesd
rawhide                                                  | 2.7 kB     00:00     
Excluding Packages in global exclude list
Installed Packages
ccid.i386                            1.1.0-2                           installed
ccid.x86_64                          1.1.0-2                           installed
# yum list updates
Loaded plugins: refresh-packagekit, refresh-updatesd
rawhide                                                  | 2.7 kB     00:00     
Excluding Packages in global exclude list
Updated Packages
ccid.x86_64                         1.3.8-1.fc10                         rawhide

And no obvious way to get ccid.i386 updated.  You have to be clever enough to *guess* that you can go visit the i386 repository via FTP or webbrowser, download the ccid.i386 RPM by hand, and then install that...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Bug Zapper 2008-11-25 23:24:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 2 Bug Zapper 2009-11-18 03:41:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-12-18 01:41:16 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.